List all product reviews
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/marketplace/products/{product_id}/reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/marketplace/products/{product_id}/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/marketplace/products/{product_id}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"reviews": [
{
"rating": 3,
"review_text": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"status": "approved",
"is_featured": false,
"tags": [
"<string>"
],
"review_date": "2023-11-07T05:31:56Z",
"images": [
{
"id": "<string>",
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"url_tiny": "<string>",
"url_thumbnail": "<string>",
"url_standard": "<string>",
"url_zoom": "<string>"
}
],
"videos": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"video_preview_url": "<string>",
"video_stream_hls_url": "<string>",
"video_stream_dash_url": "<string>",
"image_thumbnail_url": "<string>",
"video_duration": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"review_tags": [
"<string>"
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"limit": 123,
"next_page": 123,
"previous_page": 123
}
}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Catalog
List all product reviews
List of reviews for a specified product. The reviews are returned sorted by submission date, with the most recent reviews appearing first. You can filter the reviews by rating, reviewer, or date for more detailed analysis.
GET
/
catalog
/
marketplace
/
products
/
{product_id}
/
reviews
List all product reviews
Authorizations
Access token
Path Parameters
id of a particular product
Query Parameters
page number of pagination list
Required range:
x >= 1Number of results per page.
Required range:
1 <= x <= 100JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
Example:
"{\"country\":\"asc\",\"city\":\"asc\",\"population\":\"desc\"}"
search keyword
filter review with review tag
Was this page helpful?
⌘I